Skip to main content
GET
List institution credentials
Use this endpoint to see which credentials will be needed to create a member for a specific institution. Passing an invalid institution_identifier returns a 404.

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request: -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

institution_identifier
string
required

The identifier for the institution. For this identifier, use either the institution_code or the institution guid.

Query Parameters

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

Response

200 - application/json

OK

credentials
object[]
pagination
object